Bug 227527 - System freezes for a long time when nxclient resumes session
Summary: System freezes for a long time when nxclient resumes session
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel-xen   
(Show other bugs)
Version: rawhide
Hardware: x86_64 Linux
medium
medium
Target Milestone: ---
Assignee: Xen Maintainance List
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-06 17:55 UTC by Robin Green
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-25 23:10:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Robin Green 2007-02-06 17:55:55 UTC
Description of problem:
nxclient is a proprietary remote desktop client (from Nomachine). When running
on a Xen kernel, after nxclient opens its main window to resume a session (after
saying "Establishing X connection") the Radeon X server often freezes for a long
time (some minutes), and does not respond to CTRL+ALT+F1.

When running without Xen, I don't have this problem.

Version-Release number of selected component (if applicable):
kernel-xen-2.6.19-1.2898.2.3.fc7

How reproducible:
Sometimes

Steps to Reproduce:
1. Start the dom0 and a domU
2. In the dom0, install and run nxclient
3. in the domU, install freenx and ensure sshd is running
4. Log in to the domU using nxclient
5. When login is complete, close the nxclient main window
6. Choose "Suspend" from the dialog box that pops up
7. Rerun nxclient and login again

Actual results:
After the nxclient main window appears with the big logo in it, the X server
freezes up for a long time (some minutes)

Expected results:
No freeze

Comment 1 Bill Nottingham 2007-03-02 17:28:55 UTC
Moving to 'devel' as discussed on
https://www.redhat.com/archives/fedora-devel-list/2007-March/msg00095.html.

Comment 2 Robin Green 2007-04-24 15:57:30 UTC
I can reproduce this (on F7T3) with an open source fork of nxclient, version 1.5
of "2xterminalserverclient" (see
http://code.2x.com/linuxterminalserver/wiki/NxInstall ) so we now have a 100%
open source test case to play with.

Also, it doesn't matter whether the session to be resumed is running on dom0 or
domU.

Comment 3 Robin Green 2007-05-25 23:10:05 UTC
After upgrading both my machines, I don't see this bug any more.


Note You need to log in before you can comment on or make changes to this bug.